Packages - Bug #2912

[jami-gnome] No video from devices running Jami and parabola
2020-10-12 11:07 AM - ryry

Status: fixed % Done: 0%
Priority: bug

Assignee: freemor

Category:

Description

On Jami, on 2 computers, both running Parabola, both up to date, No video seems to be sent to the other person you are calling. If
somebody rings from an android device, then you get their video (audio is fine), but they do not get your video. The local video
display in the corner freezes and the webcam light comes on to suggest it is "live", it also is recognised by the settings manager in
Jami. This has been tried with both internal webcam and external, both of which previously worked and work with other programmes,
except for Jitsi, which no longer works with video calls either.

Is anybody else getting this?

ryry

History

#1 - 2020-10-12 11:47 AM - freemor

| used the updated jami-gnome just the other days for a 3-way call and it worked fine.
Was not Parabola <-> Parabola tho.

Does Linphone work? (Also SIP based so be interesting to see if it has the same issue).
does qgtox work? (Not SIP based. If it works and linphone/jami both have similar issues would point strongly to a SIP vs NAT/Firewall issue)
Can you run jami with the --debug option and see if that gives any useful info?

Would be interestng to try a Parabola <-> Arch call since we are just using the upstream package. This might help to see if it was something Parabola
specific, assuming the the network situations were exactly the same.

This sounds like a classic SIP vs NAT problem. It is not uncommon for SIP to have issue with one media stream being missing, so either Video but no
Voice or Voice but no video. Fixing this would involve determining the network issue and taking the proper corrective steps (turning on STUN,
Changing the NAT settings, etc). Hopefully we can avoid this.

Are both Parabolas up-to-date? Jami-gnome just had an update so knowing that both are the same version would help determine if it is an v. current
vs v.-1 issue.

Hopefully we can figure this out.

#2 - 2020-10-12 01:42 PM - freemor

jami --debug sadly does not include networking info. To get a look at that you'll need to:
/usr/lib/ring/dring -c

or with -c -d for more details (debug). then launch jami. This will let you watch what the jami-daemon is doing.

#3 - 2020-10-12 02:12 PM - ryry

Thanks freemor, Originally | thought It might have been some kind of network issue, but | tried it locally aswell as the two different WAN that | have
use of, which still has the same issue and | haven't changed any settings on my router(s) etc.

Interestingly, the log seems to suggest it closes the video input, at the point of the answer call button is pressed. | think?
[1602510730.259| 2399|sinkclient.cpp :191 ] ShmHolder[Jami Daemon_shm_2184_0]: new sizes: f=0, a=103
[1602510730.259| 2399|sinkclient.cpp :158 ] ShmHolder: new holder 'Jami Daemon_shm_2184_0'

[1602510730.259| 2399|video_input.cpp :174 ] Videolnput ready to capture

[1602510730.259| 2399|video_input.cpp :213 ] Videolnput closed

Otherwise, | am running on all devices used, Latest up to date Parabola, with Jami being the latest "together" version in the parabola repos, updated
recently.

ryry
#4 - 2020-10-19 12:07 PM - freemor

Just Tried an Arch <-> Parabola call. Video worked fine.
Will see about rolling another Parabola instance to test Parabola <-> Parabola.

#5 - 2020-10-26 11:53 AM - ryry

| updated to the version pushed to the repo's on the 24th of October, the video issue appears to be fixed and video calling works without issue unlike
before.

Thanks for your help freemor
ryry

#6 - 2020-10-30 05:32 PM - freemor

- Assignee set to freemor

Ok closing this now then as we never could reproduce the issue and it now seems moot.

#7 - 2020-10-30 05:32 PM - freemor

- Status changed from unconfirmed to fixed
